NewStart CGSL CORE 5.05 / MAIN 5.05 : tomcat 漏洞 (NS-SA-2021-0135)

high Nessus 插件 ID 154560

语言:

简介

远程 NewStart CGSL 主机受到一个漏洞影响。

描述

运行 CORE 5.05 / MAIN 5.05 版本的远程 NewStart CGSL 主机上安装的 tomcat 程序包受到漏洞的影响:

- 当使用 Apache Tomcat 版本 10.0.0-M1 到 10.0.0-M4、 9.0.0.M1 到 9.0.34、8.5.0 到 8.5.54 以及 7.0.0 到 7.0.103 时,如果出现以下情况:a) 攻击者能够控制服务器上文件的内容和名称;b) 服务器配置为将 PersistenceManager 与 FileStore 一起使用;c) 为 PersistenceManager 配置了 sessionAttributeValueClassNameFilter=null(未使用 SecurityManager 时,此为默认值)或者不太严格的过滤器,允许对攻击者提供的对象进行反序列化;d) 攻击者知道从 FileStore 使用的存储位置到其控制的文件的相对文件路径,则在使用特别构建的请求的情况下,该攻击者将能够通过反序列化其控制的文件来触发远程代码执行。请注意,从 a) 到 d) 的所有条件都必须为真,攻击才能成功。(CVE-2020-9484)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL tomcat 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0135

http://security.gd-linux.com/info/CVE-2020-9484

插件详情

严重性: High

ID: 154560

文件名: newstart_cgsl_NS-SA-2021-0135_tomcat.nasl

版本: 1.4

类型: local

发布时间: 2021/10/27

最近更新时间: 2022/2/21

风险信息

VPR

风险因素: High

分数: 8.4

CVSS v2

风险因素: Medium

基本分数: 4.4

时间分数: 3.4

矢量: AV:L/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:POC/RL:OF/RC:C

CVSS 分数来源: CVE-2020-9484

CVSS v3

风险因素: High

基本分数: 7

时间分数: 6.3

矢量: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:tomcat, p-cpe:/a:zte:cgsl_core:tomcat-admin-webapps, p-cpe:/a:zte:cgsl_core:tomcat-docs-webapp, p-cpe:/a:zte:cgsl_core:tomcat-el-2.2-api, p-cpe:/a:zte:cgsl_core:tomcat-javadoc, p-cpe:/a:zte:cgsl_core:tomcat-jsp-2.2-api, p-cpe:/a:zte:cgsl_core:tomcat-jsvc, p-cpe:/a:zte:cgsl_core:tomcat-lib, p-cpe:/a:zte:cgsl_core:tomcat-servlet-3.0-api, p-cpe:/a:zte:cgsl_core:tomcat-webapps, p-cpe:/a:zte:cgsl_main:tomcat, p-cpe:/a:zte:cgsl_main:tomcat-admin-webapps, p-cpe:/a:zte:cgsl_main:tomcat-docs-webapp, p-cpe:/a:zte:cgsl_main:tomcat-el-2.2-api, p-cpe:/a:zte:cgsl_main:tomcat-javadoc, p-cpe:/a:zte:cgsl_main:tomcat-jsp-2.2-api, p-cpe:/a:zte:cgsl_main:tomcat-jsvc, p-cpe:/a:zte:cgsl_main:tomcat-lib, p-cpe:/a:zte:cgsl_main:tomcat-servlet-3.0-api, p-cpe:/a:zte:cgsl_main:tomcat-webapps, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

可利用: true

易利用性: Exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2020/5/11

参考资料信息

CVE: CVE-2020-9484

IAVA: 2020-A-0225-S, 2020-A-0324